#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,520,760,1040,1160,1280,1560,1800,1920,2000,2040,2080
 * N : 25,520,760,1040,1160,1280,1560,1800,1920,2000,2040,2080
 * NB : 9,8,8,40,72,64,80,80,80,64,80,96
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 272) (nb_) = 9; \
   else if ((n_) < 900) (nb_) = 8; \
   else if ((n_) < 1100) (nb_) = 40; \
   else if ((n_) < 1220) (nb_) = 72; \
   else if ((n_) < 1420) (nb_) = 64; \
   else if ((n_) < 1960) (nb_) = 80; \
   else if ((n_) < 2020) (nb_) = 64; \
   else if ((n_) < 2060) (nb_) = 80; \
   else (nb_) = 96; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
